### Home Classes Methods

### In Files

- lib/padrino-gen/generators/task.rb

### Parent

Thor::Group

### Methods

- ::banner
- ::source_root
- #create_task

### Included Modules

- Thor::Actions
- Padrino::Generators::Actions
- Padrino::Generators::Components::Actions

### Files

- README.rdoc
- README.rdoc

### Class/Module Index

Quicksearch

- Padrino
- Padrino::Generators
- Padrino::Generators::Actions
- Padrino::Generators::Actions::ClassMethods
- Padrino::Generators::App
- Padrino::Generators::AppRootNotFound
- Padrino::Generators::Cli
- Padrino::Generators::Component
- Padrino::Generators::Components
- Padrino::Generators::Components::Actions
- Padrino::Generators::Controller
- Padrino::Generators::Mailer
- Padrino::Generators::Migration
- Padrino::Generators::Model
- Padrino::Generators::Plugin
- Padrino::Generators::Project
- Padrino::Generators::Runner
- Padrino::Generators::SqlHelpers
- Padrino::Generators::Task
- ActiveRecord
- ActiveRecord::Schema
- Object

No matching classes.

# Padrino::Generators::Task

Responsible for generating new task file for Padrino application.

### Public Class Methods

banner() click to toggle source

    # File lib/padrino-gen/generators/task.rb, line 15
    def banner; "padrino-gen task [name]"; end

source_root() click to toggle source

    # File lib/padrino-gen/generators/task.rb, line 14
    def source_root; File.expand_path(File.dirname(__FILE__)); end

### Public Instance Methods

create_task() click to toggle source

    # File lib/padrino-gen/generators/task.rb, line 28
    def create_task
      self.destination_root = options[:root]
      if in_app_root?
        app        = options[:app]
        @task_name = name.to_s.underscore
        @namespace = options[:namespace].underscore if options[:namespace]
        @desc      = options[:description]
        filename   = @task_name + ".rake"
        filename   = "#{@namespace}_#{filename}" if @namespace

        template 'templates/task.rb.tt', destination_root('tasks', filename)
      else
        say 'You are not at the root of a Padrino application! (config/boot.rb not found)'
      end
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.